During the upgrade the dashboard has 500 Internal Server errors

This document (000020514) is provided subject to the disclaimer at the end of this document.

Environment

SUSE Enterprise Storage 7

Situation

While upgrading to SUSE Enterprise Storage 7, but before having upgraded the iSCSI Gateway services, when accessing the dashboard errors similar to the following are seen:
 
Nov 23 09:28:27 <$hostname> conmon[690775]: [<$ip_address>:53600] [GET] [500] [0.083s] [admin] [5.3K] /api/health/minimal
Nov 23 09:28:27 <$hostname> conmon[690775]: [b'{"status": "500 Internal Server Error", "detail": "The server encountered an unexpected condition which prevented it from fulfilling the request.",

Resolution

Until the iSCSI Gateway services are upgraded (redeployed) it can be normal to see the above errors.

Cause

The iSCSI Gateway services have not been upgraded (redeployed) yet.

Additional Information

To see the complete error, look at the journalctl log for the active MGR, for example using:
 
journalctl -u ceph-<cluster_id>@mgr.<hotname>.<random_id>.service

An example of the error with backtrace, excerpt:
 
Nov 23 07:46:41 <$hostname> conmon[690775]: [b'{"status": "500 Internal Server Error", "detail": "The server encountered an unexpected condition which prevented it from fulfilling the request.", "request_id": "a20fd010-76e4-45ea-99aa-25aece0c5129", "traceback": "Traceback (most recent call last):\\n 
File \\"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\\", line 677, in urlopen\\n    chunked=chunked,\\n
File \\"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\\", line 381, in _make_request\\n    self._validate_conn(conn)\\n
File \\"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\\", line 978, in _validate_conn\\n    conn.connect()\\n  
File \\"/usr/lib/python3.6/site-packages/urllib3/connection.py\\", line 371, in connect\\n    ssl_context=context,\\n  
File \\"/usr/lib/python3.6/site-packages/urllib3/util/ssl_.py\\", line 384, in ssl_wrap_socket\\n    return context.wrap_socket(sock, server_hostname=server_hostname)\\n  
File \\"/usr/lib64/python3.6/ssl.py\\", line 407, in wrap_socket\\n    _context=self, _session=session)\\n  
File \\"/usr/lib64/python3.6/ssl.py\\", line 817, in __init__\\n    self.do_handshake()\\n  
File \\"/usr/lib64/python3.6/ssl.py\\", line 1077, in do_handshake\\n    self._sslobj.do_handshake()\\n  
File \\"/usr/lib64/python3.6/ssl.py\\", line 689, in do_handshake\\n    self._sslobj.do_handshake()\\nssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:852)\\n\\nDuring handling of the above exception, another exception occurred:\\n\\nTraceback (most recent call last):\\n  
File \\"/usr/lib/python3.6/site-packages/requests/adapters.py\\", line 449, in send\\n    timeout=timeout\\n


The process for upgrading the iSCSI Gateways is documented in the SES 7 online documentation under the section "Upgrading the iSCSI Gateway ".

Disclaimer

This Support Knowledgebase provides a valuable tool for SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:000020514
  • Creation Date: 25-Nov-2021
  • Modified Date:25-Nov-2021
    • SUSE Enterprise Storage

< Back to Support Search

For questions or concerns with the SUSE Knowledgebase please contact: tidfeedback@suse.com

SUSE Support Forums

Get your questions answered by experienced Sys Ops or interact with other SUSE community experts.

Join Our Community

Support Resources

Learn how to get the most from the technical support you receive with your SUSE Subscription, Premium Support, Academic Program, or Partner Program.


SUSE Customer Support Quick Reference Guide SUSE Technical Support Handbook Update Advisories
Support FAQ

Open an Incident

Open an incident with SUSE Technical Support, manage your subscriptions, download patches, or manage user access.

Go to Customer Center